#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define rel 2

Summary:        KDE Frameworks 5 Tier 1 solution for spell checking
Name:           sonnet
Version: 5.76.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz
Source1:        sonnet-config.desktop

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5UiPlugin)

BuildRequires:  aspell-devel
BuildRequires:  hspell-devel
BuildRequires:  pkgconfig(hunspell)
BuildRequires:  pkgconfig(libvoikko)

Requires: 	hspell

%description
KDE Frameworks 5 Tier 1 solution for spell checking.

%files -f sonnet5_qt.lang
%_kf5_categoriesdir/sonnet.*categories
%_kf5_bindir/parsetrigrams
%_kf5_bindir/gentrigrams
%_kf5_plugindir/sonnet
%_qt5_plugindir/designer/sonnetui5widgets.so

#--------------------------------------------------------------------

%package config
Summary:        Configuration dialog for Sonnet
Group:          System/Configuration
Requires:       %{name} >= %{version}-%{release}

%description config
Configuration Dialogue for Sonnet.
Sonnet is a plugin-based spell checking library for Qt-based applications.
It supports several different plugins, including HSpell, Enchant,
ASpell and HUNSPELL.
It also supports automated language detection, based on a combination of
different algorithms.

%files config
%{_kf5_bindir}/%{name}-config
%{_kf5_applicationsdir}/%{name}-config.desktop

#--------------------------------------------------------------------

%define kf5sonnetui_major 5
%define libkf5sonnetui %mklibname kf5sonnetui %{kf5sonnetui_major}

%package -n %libkf5sonnetui
Summary:        KDE Frameworks 5 Tier 1 solution for spell checking
Group:          System/Libraries

%description -n %libkf5sonnetui
KDE Frameworks 5 Tier 1 solution for spell checking.

%files -n %libkf5sonnetui
%_kf5_libdir/libKF5SonnetUi.so.%{kf5sonnetui_major}{,.*}

#--------------------------------------------------------------------

%define kf5sonnetcore_major 5
%define libkf5sonnetcore %mklibname kf5sonnetcore %{kf5sonnetcore_major}

%package -n %libkf5sonnetcore
Summary:        KDE Frameworks 5 Tier 1 solution for spell checking
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkf5sonnetcore
KDE Frameworks 5 Tier 1 solution for spell checking.

%files -n %libkf5sonnetcore
%_kf5_libdir/libKF5SonnetCore.so.%{kf5sonnetcore_major}{,.*}

#--------------------------------------------------------------------

%define kf5sonnet_devel %mklibname kf5sonnet -d

%package -n %kf5sonnet_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5sonnetui = %version-%release
Requires:       %libkf5sonnetcore = %version-%release
Requires:       %name = %version-%release

Provides:       %name-devel = %{version}-%{release}

Obsoletes:      %{_lib}kf5sonnetui-devel < 5.60.0-2

%description -n %kf5sonnet_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5sonnet_devel
%_kf5_includedir/SonnetUi/
%_kf5_includedir/SonnetCore/
%_kf5_includedir/sonnet_version.h
%_kf5_libdir/cmake/KF5Sonnet/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5 -DHUNSPELL_MAIN_DICT_PATH=%{_datadir}/myspell \
           -DBUILD_TESTING=ON
%cmake_build

%install
%cmake_install

%find_lang_kf5 sonnet5_qt

# package manually configdialog tool (needed for LXQt)
install -pm 0755 build/bin/configdialog %{buildroot}%{_bindir}/sonnet-config
desktop-file-install --mode=0644 --dir=%{buildroot}%{_kf5_applicationsdir} %{SOURCE1}


%changelog
* Thu Dec 31 2020 neoclust <neoclust> 5.76.0-2.mga8
+ Revision: 1667099
- Add hspell as default require (mga#27252)

* Sun Dec 06 2020 daviddavid <daviddavid> 5.76.0-1.mga8
+ Revision: 1653385
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 5.75.0-1.mga8
+ Revision: 1633235
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 5.74.0-1.mga8
+ Revision: 1625670
- New version 5.74.0

* Mon Aug 10 2020 daviddavid <daviddavid> 5.73.0-1.mga8
+ Revision: 1612448
- New version 5.73.0

* Wed Jul 08 2020 neoclust <neoclust> 5.72.0-1.mga8
+ Revision: 1603142
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 5.71.0-1.mga8
+ Revision: 1592834
- New version 5.71.0

* Fri May 22 2020 daviddavid <daviddavid> 5.70.0-2.mga8
+ Revision: 1586803
- package manually configdialog tool (needed for LXQt)

* Sat May 09 2020 daviddavid <daviddavid> 5.70.0-1.mga8
+ Revision: 1582060
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 5.69.0-1.mga8
+ Revision: 1566551
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 5.68.0-1.mga8
+ Revision: 1556728
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 5.67.0-2.mga8
+ Revision: 1546692
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 5.67.0-1.mga8
+ Revision: 1486864
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 5.65.0-1.mga8
+ Revision: 1466588
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 5.64.0-1.mga8
+ Revision: 1457665
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 5.63.0-1.mga8
+ Revision: 1451040
- New version 5.63.0

* Mon Sep 23 2019 neoclust <neoclust> 5.62.0-1.mga8
+ Revision: 1445014
- New version 5.62.0

* Fri Jul 26 2019 daviddavid <daviddavid> 5.60.0-2.mga8
+ Revision: 1424349
- fix devel pkg-name

* Thu Jul 11 2019 neoclust <neoclust> 5.60.0-1.mga8
+ Revision: 1420275
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 5.57.0-1.mga7
+ Revision: 1386989
- New version 5.57.0

* Tue Apr 02 2019 umeabot <umeabot> 5.56.0-2.mga7
+ Revision: 1384864
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 5.56.0-1.mga7
+ Revision: 1374647
- New version 5.56.0

* Sun Mar 10 2019 daviddavid <daviddavid> 5.55.0-2.mga7
+ Revision: 1373532
- drop useless required enchant build dependency

* Sat Feb 09 2019 neoclust <neoclust> 5.55.0-1.mga7
+ Revision: 1364582
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 5.54.0-1.mga7
+ Revision: 1356714
- New version 5.54.0

* Sun Dec 09 2018 neoclust <neoclust> 5.53.0-1.mga7
+ Revision: 1339261
- New version 5.53.0

* Fri Nov 23 2018 daviddavid <daviddavid> 5.51.0-2.mga7
+ Revision: 1333489
- rebuild for new hunspell 1.7.0

* Tue Oct 09 2018 neoclust <neoclust> 5.51.0-1.mga7
+ Revision: 1319008
- New version 5.51.0
- New version 5.50.0

* Sun Sep 23 2018 umeabot <umeabot> 5.49.0-2.mga7
+ Revision: 1301105
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 neoclust <neoclust> 5.49.0-1.mga7
+ Revision: 1247360
- New version 5.49.0

* Thu May 17 2018 wally <wally> 5.46.0-1.mga7
+ Revision: 1229968
- new version 5.46.0

* Thu Jan 11 2018 neoclust <neoclust> 5.42.0-1.mga7
+ Revision: 1192325
- New version 5.42.0

* Tue Dec 12 2017 neoclust <neoclust> 5.41.0-1.mga7
+ Revision: 1182380
- New version 5.41.0

* Thu Sep 28 2017 neoclust <neoclust> 5.38.0-1.mga7
+ Revision: 1161281
- New version 5.38.0

* Tue Aug 15 2017 neoclust <neoclust> 5.37.0-1.mga7
+ Revision: 1140443
- New version 5.37.0

* Fri Jul 21 2017 neoclust <neoclust> 5.36.0-1.mga7
+ Revision: 1125696
- New version 5.36.0

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1089007
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074579
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072242
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058397
- New version 5.27.0

* Fri Sep 09 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050936
- New version 5.26.0

* Sat Aug 27 2016 daviddavid <daviddavid> 5.25.0-2.mga6
+ Revision: 1049247
- enable HSPELL, HUNSPELL and VOIKKO support

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045152
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041378
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021972
- New version 5.23.0

* Sat May 14 2016 neoclust <neoclust> 5.22.0-2.mga6
+ Revision: 1015498
- Fix Requires of the devel package

* Fri May 13 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014592
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999671
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986369
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942295
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921318
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 912953
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909861
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900515
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899507
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898959
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888332
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881423
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862984
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-3.mga6
+ Revision: 862695
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Mon Aug 03 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 860914
- Add fedora patch to detect dicts

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853829
- New version 5.12.0

* Tue Jun 23 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 841617
- New version 5.11.0

* Tue Dec 16 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803385
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 738914
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 689247
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660457
- New version 5.1.0

* Tue Jul 08 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 650545
- New version 5.0.0

* Sun Jul 06 2014 neoclust <neoclust> 4.100.0-1.mga5
+ Revision: 645642
- New version 4.100.0
- New version 4.99.0

* Wed Apr 02 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 611309
- New version 4.98.0

* Mon Mar 10 2014 neoclust <neoclust> 4.97.0-2.mga5
+ Revision: 601723
- Remove requires in lib package

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599740
- New version 4.97.0

* Sun Feb 16 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 593115
- New version 4.96.0

* Tue Feb 11 2014 neoclust <neoclust> 4.95.0-1.mga5
+ Revision: 589555
- imported package sonnet

